4 Replies Latest reply on Jun 18, 2015 2:30 AM by Pattie-F

    upgraded to CC2015 for PS/LR now it's asking me to purchase. I already purchased CC2014 PS/LR and it doesn't work now.


      Waiting to hear from the chat,


      I upgraded to CC2015 and now its asking me to purchase it. I purchased it last yr. CC2014 PS/LR and now it dosen't work.